Subject: bug#24331: closed (Re: [bug-diffutils] bug#24331: mkdir_p definition in po/Makefile.in.in)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Aug 2016 18:07:02 +0000

Your bug report

#24331: mkdir_p definition in po/Makefile.in.in

which was filed against the diffutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24331: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24331
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug-diffutils] bug#24331: mkdir_p definition in po/Makefile.in.in
From: Paul Eggert <[email-masked]>
To: Santiago Vila <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Aug 2016 11:06:10 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Santiago Vila wrote:
> There must be some other reason. The Debian diffutils package does not
> run autoreconf before compiling the package, as I still trust you GNU
> people to provide a sane configure script.

Ah, I found it. The fix was to Automake, here:

http://git.savannah.gnu.org/cgit/automake.git/commit/?id=d90001e3a90ea37fe6866120eb96be7bed8ba66c

Since Jim used a new-enough Automake to build the diffutils 3.5 distribution, 
you should be OK without 02-fix-mkdir-p-definition-in-po-makefile-in-in.

Subject: mkdir_p definition in po/Makefile.in.in
From: Santiago Vila <[email-masked]>
To: [email-masked]
Date: Mon, 29 Aug 2016 23:24:46 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Greetings.

I'm planning to update the Debian package for diffutils.
The current patches are here:

http://sources.debian.net/src/diffutils/1:3.3-3/debian/patches/

Clearly, these four:

01-workaround-for-failing-gnulib-test
03-tune-compare-names-for-qsort
04-add-escapes-for-braces-in-perl-regex
99-config-guess-config-sub

are not required anymore.

But I'm in doubt about this one:

02-fix-mkdir-p-definition-in-po-makefile-in-in

because it would apply cleanly to diffutils-3.5 if I keep it.

The problem such patch was supposed to fix was this one:

https://lists.gnu.org/archive/html/bug-diffutils/2013-08/msg00010.html

and apparently the patch is not needed anymore.

So, to be sure: Would somebody know why the patch was required in
diffutils-3.3 and not anymore in diffutils-3.5?

Thanks.